Debian Bug report logs - #405762
no maildir support

version graph

Package: alpine; Maintainer for alpine is Asheesh Laroia <asheesh@asheesh.org>; Source for alpine is src:alpine.

Reported by: Joey Hess <joeyh@debian.org>

Date: Sat, 6 Jan 2007 00:33:01 UTC

Severity: normal

Tags: patch

Merged with 412590

Found in version alpine/0.81+dfsg-1

Forwarded to pine-bugs@cac.washington.edu

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: no maildir support
Date: Fri, 5 Jan 2007 19:21:13 -0500
Package: alpine
Version: 0.81+dfsg-1
Severity: normal

alpine seems to not see my ~/Maildir, I guess it's build w/o maildir
support. Debian's pine is patched with a maildir patch that works ok,
for alpine to replace pine here it will need maildir support.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-xen-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages alpine depends on:
ii  libc6                        2.3.6.ds1-9 GNU C Library: Shared libraries
ii  libldap2                     2.1.30-13.2 OpenLDAP libraries
ii  libncurses5                  5.5-5       Shared libraries for terminal hand
ii  libpam0g                     0.79-4      Pluggable Authentication Modules l
ii  libssl0.9.8                  0.9.8c-4    SSL shared libraries

alpine recommends no packages.

-- no debconf information

-- 
see shy jo



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: alpine-alpha@u.washington.edu
Cc: 405762@bugs.debian.org
Subject: Maildir support
Date: Sat, 6 Jan 2007 02:16:17 -0500 (EST)
Joey Hess filed a bug in the Debian package (*) about Alpine lacking 
support for the Maildir mail storage format.  Apparently the pine source 
package that Debian ships comes with a patch for Maildir support.

Do you guys (washington.edu) plan to add Maildir support to Alpine?  If 
not, has anyone in the community considered writing such a patch for 
Alpine?

-- Asheesh.

*. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=405762

-- 
ROMEO:		Courage, man; the hurt cannot be much.
MERCUTIO:	No, 'tis not so deep as a well, nor so wide
			as a church-door; but 'tis enough, 'twill serve.



Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Mark Crispin <mrc@CAC.Washington.EDU>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #15 received at 405762@bugs.debian.org (full text, mbox):

From: Mark Crispin <mrc@CAC.Washington.EDU>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: alpine-alpha@u.washington.edu, 405762@bugs.debian.org
Subject: Re: [Alpine-alpha] Maildir support
Date: Fri, 5 Jan 2007 23:43:44 -0800 (PST)
On Sat, 6 Jan 2007, Asheesh Laroia wrote:
> Joey Hess filed a bug in the Debian package (*) about Alpine lacking 
> support for the Maildir mail storage format.  Apparently the pine source 
> package that Debian ships comes with a patch for Maildir support.

Apparently, it comes with an unsupported third-party maildir driver for 
the c-client library.

> Do you guys (washington.edu) plan to add Maildir support to Alpine?

I (the c-client library developer) do not have any such plans.

Sadly, the maildir church claims that I don't do maildir out of some evil 
intent.  Here are the facts:

I do not know how to make a maildir driver that works well, which I define 
as:
 . complete compliance with IMAP's specifications
 . complete compliance with DSB's specifications
 . satisfactory performance
I know how to do two of these, but not all three simultaneously.

I refuse to have my name associated with IMAP non-compliance.  DSB would 
flame me to a crisp if I don't comply with his maildir specifications. 
That leaves lousy performance, and I would be flamed for "deliberately 
making it because [I] dislike maildir."  It's a no-win situation for me.

From what I have seen of the third-party maildir drivers, they cut corners 
on all three.  Some also have a negative impact on non-maildir usage.

I've fielded numerous Pine/c-client bug reports which turned out to be 
caused by these maildir drivers.  When it turns out that the user does not 
use maildir, I recommend that s/he replace whatever distribution with an 
unmodified UW distribution (which of course has the effect of deleting any 
other third-party customizations).

Similar corner-cutting is done by the IMAP servers that support maildir. 
For example, Courier actually implements something that it calls maildir++ 
and a heresy of IMAP that it calls SMAP instead of true maildir and IMAP.

The difficulty is that IMAP and maildir have some seriously conflicting 
requirements.  Neither one considered the other when it was designed, and 
it shows.

> If 
> not, has anyone in the community considered writing such a patch for 
> Alpine?

I'm sure that the third-parties which provide maildir drivers for older 
versions of the c-client library have (or will soon have) updated versions 
that fit in the imap-2006 version that is used by Alpine.

Please be assured that if I had a brainstorm and suddenly realized how to 
write a maildir driver that works well (as defined above), I would do so.

I haven't had such a brainstorm, and apparently nobody else has either.

-- Mark --

http://panda.com/mrc
Democracy is two wolves and a sheep deciding what to eat for lunch.
Liberty is a well-armed sheep contesting the vote.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Mark Crispin <mrc@CAC.Washington.EDU>
Cc: alpine-alpha@u.washington.edu, 405762@bugs.debian.org
Subject: Re: [Alpine-alpha] Maildir support
Date: Sat, 6 Jan 2007 02:55:09 -0500 (EST)
On Fri, 5 Jan 2007, Mark Crispin wrote:

> On Sat, 6 Jan 2007, Asheesh Laroia wrote:
> 
> Sadly, the maildir church claims that I don't do maildir out of some 
> evil intent.  Here are the facts:
> 
> I do not know how to make a maildir driver that works well, which I define 
> as:
>   . complete compliance with IMAP's specifications
>   . complete compliance with DSB's specifications
>   . satisfactory performance
> I know how to do two of these, but not all three simultaneously.

I'd be curious to know what Dovecot does, since it seems to straddle this 
line in some way.  I haven't looked into it, but maybe someone on the list 
has some experience with its codebase in this regard.

Having said that, if we're talking about Alpine reading a local mail 
spool, I don't see why compliance with IMAP's specifications is necessary.

> From what I have seen of the third-party maildir drivers, they cut 
> corners on all three.  Some also have a negative impact on non-maildir 
> usage.
> 
> I've fielded numerous Pine/c-client bug reports which turned out to be 
> caused by these maildir drivers.  When it turns out that the user does 
> not use maildir, I recommend that s/he replace whatever distribution 
> with an unmodified UW distribution (which of course has the effect of 
> deleting any other third-party customizations).

Well, that's one reason the Debian bug tracker is nice: if we ship some 
evilly hacked version of Alpine that includes some gross unsupported 
Maildir patch, a Debian user will hopefully file a bug with us rather than 
with you, and hopefully after warnings like this I'll be careful to check 
if our modifications are the cause of the breakage.

Therefore, please flame me to a crisp if I end up forwarding any bugs to 
you that are caused by said evil Maildir patches. (-:

-- Asheesh.

-- 
Q:	What is purple and concord the world?
A:	Alexander the Grape.



Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Mark Crispin <MRC@CAC.Washington.EDU>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #25 received at 405762@bugs.debian.org (full text, mbox):

From: Mark Crispin <MRC@CAC.Washington.EDU>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: alpine-alpha@u.washington.edu, 405762@bugs.debian.org
Subject: Re: [Alpine-alpha] Maildir support
Date: Sat, 6 Jan 2007 00:11:43 -0800
On Sat, 6 Jan 2007, Asheesh Laroia wrote:
> I'd be curious to know what Dovecot does, since it seems to straddle this 
> line in some way.

I don't know.

> Having said that, if we're talking about Alpine reading a local mail 
> spool, I don't see why compliance with IMAP's specifications is necessary.

Internally, Alpine, Pine, ipop3d, imapd, etc. are all interfaces to the 
c-client library.  There is no "only by Alpine and not by imapd".

c-client semantics are fundamentally IMAP semantics.  c-client coerces all 
other mail stores to look like IMAP to the application program.

> Well, that's one reason the Debian bug tracker is nice: if we ship some 
> evilly hacked version of Alpine that includes some gross unsupported 
> Maildir patch, a Debian user will hopefully file a bug with us rather than 
> with you, and hopefully after warnings like this I'll be careful to check 
> if our modifications are the cause of the breakage.

Thanks for helping us out with that.

Quite a few users of third-party distributions contact us directly anyway. 
If the user's issue is something in the c-client library and I don't 
recognize the problem, the first thing that I suggest is "are you using a 
third-party distribution?  If so, try the unmodified UW distribution." 
Much (more than 50%) of the time, that resolves the user's issue.

But they're not happy when I tell them that I can't do anything to fix the 
issue in that third-party distribution........

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.



Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to "Anders Hellgren" <ahellgren@gmail.com>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #30 received at 405762@bugs.debian.org (full text, mbox):

From: "Anders Hellgren" <ahellgren@gmail.com>
To: "Asheesh Laroia" <asheesh@asheesh.org>
Cc: alpine-alpha@u.washington.edu, 405762@bugs.debian.org
Subject: Re: [Alpine-alpha] Maildir support
Date: Sat, 6 Jan 2007 12:59:57 +0100
On 1/6/07, Asheesh Laroia <asheesh@asheesh.org> wrote:
> has anyone in the community considered writing such a patch for
> Alpine?

I've ported Eduardo Chappa's maildir patch to alpine and have e-mailed
him about it, but I haven't heard anything back. Since I don't know
anything about what he has done and am a bit uncertain about its
licensing, I'm reluctant to redistribute it.

/Anders



Information forwarded to debian-bugs-dist@lists.debian.org, chappa@math.washington.edu:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to chappa@math.washington.edu. Full text and rfc822 format available.

Message #35 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Joey Hess <joeyh@debian.org>, 405762@bugs.debian.org
Subject: Re: Bug#405762: no maildir support
Date: Wed, 7 Mar 2007 03:13:07 -0500 (EST)
X-Debbugs-CC: chappa@math.washington.edu

Eduardo, I see that you have an Alpine Maildir patch at 
http://staff.washington.edu/chappa/alpine/info/maildir.html .  Do you have 
any comment as to if it's suitable to include it into the Debian Alpine 
package?

It seems that the washington.edu have reasons of correctness against 
writing their own.  Also, do you know if the author of this Maildir patch 
is willing to allow Debian to redistribute his patch under the Apache 
License 2.0?

Thanks!

-- Asheesh.

-- 
Q:	How much does it cost to ride the Unibus?
A:	2 bits.



Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Eduardo Chappa <chappa@math.washington.edu>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #40 received at 405762@bugs.debian.org (full text, mbox):

From: Eduardo Chappa <chappa@math.washington.edu>
To: Asheesh Laroia <asheesh@asheesh.org>, 405762@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, debian-bugs-dist@lists.debian.org
Subject: Re: Bug#405762: no maildir support
Date: Wed, 7 Mar 2007 07:16:05 -0800 (PST)
*** Asheesh Laroia (asheesh@asheesh.org) wrote today:

:) Eduardo, I see that you have an Alpine Maildir patch at 
:) http://staff.washington.edu/chappa/alpine/info/maildir.html .  Do you 
:) have any comment as to if it's suitable to include it into the Debian 
:) Alpine package?

Dear Assheesh,

  Thank you for your message. To be honest, I do not know the answer to 
your question, in terms of the following issues.

  * I do not have knowledge of anybody testing it in "pure" debian. I know 
    some people have tried it in things like potato, etc. They even 
    distribute it. So, I do not know how well it works in Debian, or if it 
    needs a special tuning.

  * I do not know if Debian would force me to distribute my patch under a 
    specific license. I myself do not care what people do with the patch 
    as long as they don't claim ownership. I am happy to provide support 
    for it. I just don't want it to be under an imposed license. 

  * I am the author of the patch. It is based on old versions of the patch 
    (e.g. the one Debian distributes, or Suse used to distribute), but it 
    is completely different now. It has so many ways to configure it. The 
    one thing it is missing is UID support for IMAP. This is a big 
    shortcoming, in my opinion, and I am working on it. Having said this, 
    for local access it is great. The patch that Debian distributes has 
    UID support, but lacks other features and it is very unstable.

:) It seems that the washington.edu have reasons of correctness against 
:) writing their own.  Also, do you know if the author of this Maildir 
:) patch is willing to allow Debian to redistribute his patch under the 
:) Apache License 2.0?

As far as my reading of the license goes, all I ask about license is 
compatible and allowed under the Apache 2.0 License; but I do not want my 
work to be under such license.

I want to make sure also that you understand that this message represents 
my personal opinion and solely my opinion. It is not meant to represent 
the opinion of the (Al)Pine team, nor the University of Washington, or the 
Department of Mathematics at the University of Washington. I owe in 
gratitude to the University of Washington and its people more than I can 
repay in any way.

-- 
Eduardo
http://staff.washington.edu/chappa/alpine/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #45 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Eduardo Chappa <chappa@math.washington.edu>
Cc: 405762@bugs.debian.org, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#405762: no maildir support
Date: Wed, 7 Mar 2007 10:47:23 -0500 (EST)
On Wed, 7 Mar 2007, Eduardo Chappa wrote:

> *** Asheesh Laroia (asheesh@asheesh.org) wrote today:
>
> :) Eduardo, I see that you have an Alpine Maildir patch at
> :) http://staff.washington.edu/chappa/alpine/info/maildir.html .  Do you
> :) have any comment as to if it's suitable to include it into the Debian
> :) Alpine package?
>
> Dear Assheesh,
>
>  Thank you for your message. To be honest, I do not know the answer to
> your question, in terms of the following issues.
>
>  * I do not have knowledge of anybody testing it in "pure" debian. I know
>    some people have tried it in things like potato, etc. They even
>    distribute it. So, I do not know how well it works in Debian, or if it
>    needs a special tuning.

That's something I can look into; don't worry about the Debian-specific 
customizations, if any, that may be needed.  (I doubt any will be.)

>  * I do not know if Debian would force me to distribute my patch under a
>    specific license. I myself do not care what people do with the patch
>    as long as they don't claim ownership. I am happy to provide support
>    for it. I just don't want it to be under an imposed license.

As the package maintainer, it's my responsibility to make sure that Debian 
distributes only code that is legal to distribute (and that is Free 
Software).  We would not claim ownership, and I would make it clear in the 
documentation that it includes your Maildir patch.

>  * I am the author of the patch. It is based on old versions of the patch
>    (e.g. the one Debian distributes, or Suse used to distribute), but it
>    is completely different now. It has so many ways to configure it. The
>    one thing it is missing is UID support for IMAP. This is a big
>    shortcoming, in my opinion, and I am working on it. Having said this,
>    for local access it is great. The patch that Debian distributes has
>    UID support, but lacks other features and it is very unstable.
>
> :) It seems that the washington.edu have reasons of correctness against
> :) writing their own.  Also, do you know if the author of this Maildir
> :) patch is willing to allow Debian to redistribute his patch under the
> :) Apache License 2.0?
>
> As far as my reading of the license goes, all I ask about license is
> compatible and allowed under the Apache 2.0 License; but I do not want my
> work to be under such license.

Because we'll be distributing copies of the patch, I want to make sure 
that we are allowed to.  You seem to have said that (a) the patch is your 
work (meaning, you also hold the copyright to the work), and (b) that you 
are willing to allow people to share changes in a fairly liberal way.

I don't understand what you mean by "an imposed license".  The great thing 
about copyright is that you can let different folk use your work under 
different license terms.  This means that if you let us Debian guys use it 
under an Apache 2.0 license, then later on you want to let other people 
use your work under some different license, you are allowed to do that. 
All you can't do is revoke our license.

Does that make sense?  It sounds like you'd be happy to let us include the 
patch, and it sounds like our users would be well-served if we were to. 
I would be most comfortable if you said, "Asheesh, you are allowed to use 
and redistribute this patch under the same terms as Alpine," and I hope 
you understand that saying that doesn't limit your rights to let everyone 
else use it under even more liberal terms than the Apache 2.0 License that 
Alpine itself is under.

So how can I get you to say the quoted sentence? (-:

> I want to make sure also that you understand that this message represents
> my personal opinion and solely my opinion. It is not meant to represent
> the opinion of the (Al)Pine team, nor the University of Washington, or the
> Department of Mathematics at the University of Washington. I owe in
> gratitude to the University of Washington and its people more than I can
> repay in any way.

Thanks for making that clear. (-:

-- Asheesh.

-- 
Q:	What's a WASP's idea of open-mindedness?
A:	Dating a Canadian.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #50 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Eduardo Chappa <chappa@math.washington.edu>
Cc: 405762@bugs.debian.org, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#405762: no maildir support
Date: Tue, 13 Mar 2007 13:26:02 -0400 (EDT)
On Wed, 7 Mar 2007, Eduardo Chappa wrote:

>  * I do not know if Debian would force me to distribute my patch under a
>    specific license. I myself do not care what people do with the patch
>    as long as they don't claim ownership. I am happy to provide support
>    for it. I just don't want it to be under an imposed license.
>
>  * I am the author of the patch. It is based on old versions of the patch
>    (e.g. the one Debian distributes, or Suse used to distribute), but it
>    is completely different now. It has so many ways to configure it. The
>    one thing it is missing is UID support for IMAP. This is a big
>    shortcoming, in my opinion, and I am working on it. Having said this,
>    for local access it is great. The patch that Debian distributes has
>    UID support, but lacks other features and it is very unstable.

It would be more convenient for us if you wrote, "Asheesh, you are allowed 
to use and redistribute this patch under the same terms as Alpine."

Given both (a) you are the author of the patch, and (b) you wrote above 
that you don't care what people do with it so long as they don't claim 
they wrote the patch, I think we might be okay to distribute your patch. 
If you won't be explicit about letting us use it with the same terms as 
Alpine itself (the Apache 2.0 License), then I can try to get advice on 
this from more experienced/legal-minded people in Debian.

No matter what, if we include your patch, we'll always mention the 
original author of the patch (you!) in debian/copyright, and we'll 
probably also mention you in README.Debian.

I would really prefer it if you just wrote the sentence above beginning 
with "Asheesh, you are allowed...".  It's no harm to you and it makes my 
end of the process easier.

And by the way, thanks for all the work you've done for the PINE community 
in the past!

-- Asheesh.

-- 
For the fashion of Minas Tirith was such that it was built on seven levels,
each delved into a hill, and about each was set a wall, and in each wall
was a gate.
		-- J.R.R. Tolkien, "The Return of the King"

	[Quoted in "VMS Internals and Data Structures", V4.4, when
	 referring to system overview.]




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Vincas Čižiūnas <vincas@ciziunas.com>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #55 received at 405762@bugs.debian.org (full text, mbox):

From: Vincas Čižiūnas <vincas@ciziunas.com>
To: 405762@bugs.debian.org
Cc: luke Schierer <luke@schierer.org>
Subject: Stability of the chappa maildir patch
Date: Wed, 9 Apr 2008 20:46:39 -0400
[Message part 1 (text/plain, inline)]
*** Asheesh Laroia (asheesh@asheesh.org) did once write:

:) Eduardo, I see that you have an Alpine Maildir patch at
:) http://staff.washington.edu/chappa/alpine/info/maildir.html .  Do you
:) have any comment as to if it's suitable to include it into the Debian
:) Alpine package?

Asheesh,

I've been using this patch on two servers for over a year and have had  
no stability problems.  I would not hesitate to recommend inclusion in  
an alpine debian package.

--Vincas
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #60 received at 405762@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 405762@bugs.debian.org
Cc: 403803@bugs.debian.org
Subject: alpine replacing pine?
Date: Thu, 10 Apr 2008 18:43:08 +0200
[Message part 1 (text/plain, inline)]
Quoting Santiago Vila (sanvila@unex.es):

> > Santiago, you mentioned two options:
> > 
> > a) It is likely that pine will eventually be replaced by alpine
> > (once alpine is mature enough).
> > 
> > b) There should be a mta-base package on which packages like this
> > may depend, so that we do not duplicate the same debconf questions
> > about /etc/mailname and /etc/news/server over and over again
> > in every package managing those files.
> > 
> > 
> > b) didn't happen
> > 
> > So, should a) be the option?
> 
> Yes. See Bug#405762. Asheesh seems to be on the way of applying a
> maildir patch to alpine.


Well, what is the status of #405762, then ?

My understading of Santiago's claims above is that once #405762 is
fixed, a call for removal can be sent for pine.

If that's correct, please do your best to apply that maildir
patch. After all, a bug related to a lenny release goal depends on
that.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #65 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Christian Perrier <bubulle@debian.org>, 405762@bugs.debian.org
Cc: 403803@bugs.debian.org
Subject: Re: Bug#405762: alpine replacing pine?
Date: Thu, 10 Apr 2008 16:47:52 -0700 (PDT)
[Message part 1 (text/plain, inline)]
On Thu, 10 Apr 2008, Christian Perrier wrote:

> Quoting Santiago Vila (sanvila@unex.es):
>
>>> Santiago, you mentioned two options:
>>>
>>> a) It is likely that pine will eventually be replaced by alpine
>>> (once alpine is mature enough).
>>>
>>> b) There should be a mta-base package on which packages like this
>>> may depend, so that we do not duplicate the same debconf questions
>>> about /etc/mailname and /etc/news/server over and over again
>>> in every package managing those files.
>>>
>>>
>>> b) didn't happen
>>>
>>> So, should a) be the option?
>>
>> Yes. See Bug#405762. Asheesh seems to be on the way of applying a
>> maildir patch to alpine.
>
> Well, what is the status of #405762, then ?

Hi!

> My understading of Santiago's claims above is that once #405762 is
> fixed, a call for removal can be sent for pine.
>
> If that's correct, please do your best to apply that maildir
> patch. After all, a bug related to a lenny release goal depends on
> that.

Right-o.

Eduardo Chappa has very vague licensing on the Maildir patch, but 
debian-legal seemed to think it was okay - 
http://www.mail-archive.com/debian-legal@lists.debian.org/msg37693.html .

So I guess since hte licensing issue isn't actually an issue, I'll 
integrate it in the next release of the package!

-- Asheesh.

-- 
The light at the end of the tunnel is the headlight of an approaching train.

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #70 received at 405762@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: 403803@bugs.debian.org, 405762@bugs.debian.org
Subject: maildir support in alpine/pine removal
Date: Sat, 24 May 2008 12:45:18 +0200
Heya,

What's up with the maildir support in alpine? I think pine should
finally be removed and this seems to be the last blocker. If you just
need a sponsor, I'm happy to do the work.

Marc
-- 
Fachbegriffe der Informatik - Einfach erklärt
246: Service Pack
       Hauptnahrung bei Softwarebulemie. (Manfred Worm Schäfer)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #75 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>, 405762@bugs.debian.org
Cc: 403803@bugs.debian.org, sanvila@debian.org
Subject: Re: Bug#405762: maildir support in alpine/pine removal
Date: Sun, 25 May 2008 23:11:37 -0700 (PDT)
On Sat, 24 May 2008, Marc 'HE' Brockschmidt wrote:

> Heya,
>
> What's up with the maildir support in alpine? I think pine should
> finally be removed and this seems to be the last blocker. If you just
> need a sponsor, I'm happy to do the work.

Cool.  The story for now is that, having discussed Eduardo's patches with 
him, he's as yet uninterested in licensing them under a Free Software 
license.  There is some small chance that he might be willing to license 
them.  I'm still talking with him about it, and he replies to my emails, 
and we have conversations, so it's not necessarily totally hopeless.

When I talked with him about this last time, he did the work to 
forward-port the old PINE Maildir patch we were distributing.  I hadn't 
done the diligence to check the copyright status of that patch. 
http://packages.debian.org/changelogs/pool/non-free/p/pine/pine_4.64-3/pine-tracker.copyright 
indicates it was downloaded from some website that no longer exists.

Is that Maildir patch Free Software?  I don't see a license statement 
aywhere.  If it is, then I could do the appropriate fiddling to make it 
work in Alpine.

But Eduardo's is more well-maintained, and the two have incompatible ways 
of setting the IMAP UID.  Because of this, I kind of wanted to wait for 
Eduardo; but I would be okay if people point out to me that we can't wait 
forever, and we don't even know if he will eventually ever say yes.

-- Asheesh.

-- 
The so-called lessons of history are for the most part the rationalizations
of the victors.  History is written by the survivors.
		-- Max Lerner




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #80 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>, 405762@bugs.debian.org
Cc: 403803@bugs.debian.org, sanvila@debian.org
Subject: Re: Bug#405762: maildir support in alpine/pine removal
Date: Sun, 25 May 2008 23:15:16 -0700 (PDT)
On Sun, 25 May 2008, Asheesh Laroia wrote:

> Is that Maildir patch Free Software?  I don't see a license statement 
> aywhere.  If it is, then I could do the appropriate fiddling to make it 
> work in Alpine.

And, is it Apache License 2.0 compatible?

-- Asheesh.

-- 
Oppernockity tunes but once.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #85 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: sanvila@debian.org
Cc: 405762@bugs.debian.org, 405762-submitter@bugs.debian.org
Subject: License status of Maildir patch
Date: Mon, 2 Jun 2008 01:30:31 -0700 (PDT)
Santiago -

Can you tell me if the Maildir patch that Debian distributes with pine is 
under a Free license?  I can find no licensing information on it.  (And, 
if you know it is Free, what license is it under?)

Eduardo is unwilling ("currently") to license his patches under any 
license, including a Free license.  If the Pine patch we ship is not Free, 
and Eduardo's patch is not Free, then we are back to square one.

But I would like to know that if that is the case.

-- Asheesh.

-- 
Hickory Dickory Dock,
The mice ran up the clock,
The clock struck one,
The others escaped with minor injuries.




Message sent on to Joey Hess <joeyh@debian.org>:
Bug#405762. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. Full text and rfc822 format available.

Message #93 received at 405762@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 405762@bugs.debian.org, 405762-submitter@bugs.debian.org
Subject: Re: License status of Maildir patch
Date: Mon, 2 Jun 2008 12:03:45 +0200 (CEST)
On Mon, 2 Jun 2008, Asheesh Laroia wrote:

> Santiago -
> 
> Can you tell me if the Maildir patch that Debian distributes with pine is
> under a Free license?

Yes, it is under a BSD-like license. From imap/src/osdep/unix/maildir.c:

[...]
*  Permission to use, copy, modify, and distribute this software and its
* documentation for any purpose and without fee is hereby granted, provided
* that the above copyright notice appears in all copies and that both the
* above copyright notice and this permission notice appear in supporting
* documentation, and that the name of the University of Washington not be
* used in advertising or publicity pertaining to distribution of the software
* without specific, written prior permission.  This software is made
* available "as is", and
* THE UNIVERSITY OF WASHINGTON DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
* WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT LIMITATION ALL IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND IN
* NO EVENT SHALL THE UNIVERSITY OF WASHINGTON BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
* LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, TORT
* (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION
* WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

> Eduardo is unwilling ("currently") to license his patches under any
> license, including a Free license.  If the Pine patch we ship is not Free,
> and Eduardo's patch is not Free, then we are back to square one.

Well, this is what Eduardo said in March 2007:

> I myself do not care what people do with the patch as long as they
> don't claim ownership.

and later:

> As far as my reading of the license goes, all I ask about license is
> compatible and allowed under the Apache 2.0 License; but I do not want my
> work to be under such license.

The way I read this, it seems that Eduardo considers the Apache 2.0 License
too much restrictive for his patch.

If that's the case, maybe he would accept a BSD-like license for his patch,
as everything he seemed to ask is that nobody claims ownership of the patch.




Message sent on to Joey Hess <joeyh@debian.org>:
Bug#405762. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #101 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 405762@bugs.debian.org
Subject: Waiting
Date: Tue, 3 Jun 2008 14:04:51 -0400 (EDT)
I emailed Eduardo Chappa a week or so asking him to read through the MIT 
license.  His primary complaint about the licensing options he had was 
that he didn't understand them, he said, so I suggested he read that one 
(seeing as it's simple) and get back to me.  He said he would.

As I understand it, his Maildir patch has had years of maintenance and 
improvements that the old Debian PINE one has not.  So if possible I want 
to wait to see what he thinks.

But if push comes to shove, and release time gets too near, I can ship the 
(as I understand things) worse, incompatible-with-Eduardo's-patch Maildir 
patch we've shipped in PINE for ages.

-- Asheesh.

-- 
I'm prepared for all emergencies but totally unprepared for everyday life.




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Mon, 10 Nov 2008 09:39:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Mon, 10 Nov 2008 09:40:21 GMT) Full text and rfc822 format available.

Message #106 received at 405762@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo@sourcepole.ch>
To: 405762@bugs.debian.org
Subject: Maildir in Alpine?
Date: Mon, 10 Nov 2008 10:29:43 +0100 (CET)
Any news on the Maildir Patch for Alpine?

Note that Eduardo Chappa is actively maintaining it for Alpine:

  http://staff.washington.edu/chappa/alpine/info/maildir.html
*t




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. (Mon, 10 Nov 2008 23:36:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. (Mon, 10 Nov 2008 23:36:18 GMT) Full text and rfc822 format available.

Message #111 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Tomas Pospisek <tpo@sourcepole.ch>, 405762@bugs.debian.org
Subject: Re: Bug#405762: Maildir in Alpine?
Date: Mon, 10 Nov 2008 11:25:11 -0800 (PST)
On Mon, 10 Nov 2008, Tomas Pospisek wrote:

> Any news on the Maildir Patch for Alpine?
>
> Note that Eduardo Chappa is actively maintaining it for Alpine:
>
>  http://staff.washington.edu/chappa/alpine/info/maildir.html

For now, he still seems unwilling to license his patches.  This means 
Debian (indeed, anyone!) can't redistribute his patches. )-:

-- Asheesh.

-- 
One doesn't have a sense of humor.  It has you.
		-- Larry Gelbart




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Sat, 15 Nov 2008 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Sat, 15 Nov 2008 09:48:03 GMT) Full text and rfc822 format available.

Message #116 received at 405762@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Asheesh Laroia <asheesh@asheesh.org>, Tomas Pospisek <tpo@sourcepole.ch>, 405762@bugs.debian.org, Santiago Vila <sanvila@debian.org>
Subject: Actions about #405762
Date: Sat, 15 Nov 2008 10:33:30 +0100
[Message part 1 (text/plain, inline)]
From what I read in the bug log, we have a kafkaïan situtation,
really.

pine should be dropped from Debian for ages and I still see it
polluting the l10n radar because it is the very last Debian package
that doesn't use po-debconf.

But pine can only be dropped if the Maildir patch is applied to
alpine.

However, this Maildir patch (which is ready for ages) can't be applied
because the original author doesn't want to decide on a license for
it.

This is a shame (and I refrain myself from ruder words). And I now
want to try something myself as well (please note that I don't really
care about *pine....I just care about a very old bug related to pine
which I'd like to see disappear).

Do you guys have pointers on Mr. Chappa's rationale for not licensing
his patch at all? Or discussions that already happened with him so
that I don't come to him without some background.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Sat, 15 Nov 2008 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Sat, 15 Nov 2008 20:33:02 GMT) Full text and rfc822 format available.

Message #121 received at 405762@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Christian Perrier <bubulle@debian.org>
Cc: Asheesh Laroia <asheesh@asheesh.org>, 405762@bugs.debian.org, Santiago Vila <sanvila@debian.org>
Subject: Re: Actions about #405762
Date: Sat, 15 Nov 2008 21:30:57 +0100 (CET)
Hello Christian et al,

On Sat, 15 Nov 2008, Christian Perrier wrote:

> Do you guys have pointers on Mr. Chappa's rationale for not licensing
> his patch at all? Or discussions that already happened with him so
> that I don't come to him without some background.

That's exactly what I did with the intention of posting it here, only that 
I forgot the later, I'm sorry. Here we go:

I wrote Mr Chappa:

---------------------------------------------------------------------------
On Mon, Nov 10, 2008 at 10:01:46PM +0100, Tomas Pospisek wrote:
> Hello Mr. Chappa,
>
> Debian's Alpine maintainer would like to apply your Alpine Maildir patch
> to Debian's alpine package. And many people would really very much love
> to have maildir support in their alpine. See:
>
>  http://bugs.debian.org/405762
>
> I'm somewhat at loss why this should be a problem. Debian wants to be
> certain if it is allowed to redistribute the patch.
>
> Could you provide your patch under a "Public Domain" license, i.e. :
>
>   "Yes use the patch as you want, I'm putting it into the public domain"
>
> or maybe under the same license as Alpine itself? (i.e. Apache license
> 2.0).
>
> Thanks,
> *t
---------------------------------------------------------------------------

He replied this to me:

---------------------------------------------------------------------------
On Mon, Nov 10, 2008 at 05:56:38PM -0800, Eduardo Chappa wrote:
> On Mon, 10 Nov 2008, Tomas Pospisek wrote:
>
> :) Debian's Alpine maintainer would like to apply your Alpine Maildir
> :) patch to Debian's alpine package. And many people would really very
> :) much love to have maildir support in their alpine. See:
>
> Dear Tomas,
>
>   I am considering this, but not in the frame that you are putting it. I
> am thinking of changing a few things about my patches and maildir would 
> go with it. I need to think longer about this, and this is constrained 
> by time, but it is in the list.
>
>   Thank you.
---------------------------------------------------------------------------





Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Sun, 16 Nov 2008 14:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Sun, 16 Nov 2008 14:27:07 GMT) Full text and rfc822 format available.

Message #126 received at 405762@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>
Cc: Asheesh Laroia <asheesh@asheesh.org>, 405762@bugs.debian.org, Santiago Vila <sanvila@debian.org>
Subject: Re: Actions about #405762
Date: Sun, 16 Nov 2008 15:24:51 +0100
[Message part 1 (text/plain, inline)]
Quoting Tomas Pospisek (tpo_deb@sourcepole.ch):

> That's exactly what I did with the intention of posting it here, only 
> that I forgot the later, I'm sorry. Here we go:

.../...

>> Dear Tomas,
>>
>>   I am considering this, but not in the frame that you are putting it. I
>> am thinking of changing a few things about my patches and maildir would 
>> go with it. I need to think longer about this, and this is constrained  
>> by time, but it is in the list.


Maybe it would be good to explain him about the Debian lenny release
timeline. After all, all this needs "just" him to assign a license for
his patch, this is not like reinventing the wheel..:)


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Mon, 13 Jul 2009 02:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Schlansker <scs@eecs.berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Mon, 13 Jul 2009 02:33:02 GMT) Full text and rfc822 format available.

Message #131 received at 405762@bugs.debian.org (full text, mbox):

From: Steven Schlansker <scs@eecs.berkeley.edu>
To: 405762@bugs.debian.org
Subject: Re: Maildir support
Date: Sun, 12 Jul 2009 19:25:52 -0700
Hello Debian bug-busters,
I've recently discovered this bug as I am trying to move a
bunch of die-hard Pine users to alpine (seeing as how
support was dropped in Lenny) and I'm finding that
we can't use our Maildir setup without bouncing
through IMAP even though the mail is available locally.

I see that this bug hasn't been touched in half a year
now - is there any hope that the official Debian package
will get this patch any time soon?  We really need
Maildir support but I trust you guys much more with
the proper packaging and update support that
comes with using the stock Debian package!

Thanks,
Steven Schlansker




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Fri, 21 Aug 2009 01:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Schlansker <scs@eecs.berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Fri, 21 Aug 2009 01:33:02 GMT) Full text and rfc822 format available.

Message #136 received at 405762@bugs.debian.org (full text, mbox):

From: Steven Schlansker <scs@eecs.berkeley.edu>
To: 405762@bugs.debian.org
Subject: Re: no maildir support
Date: Thu, 20 Aug 2009 18:24:05 -0700
Is anyone even watching this bug anymore?  Nobody even responded to my  
email dated a month ago :(

Is there any news to report?  Should I give up?




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. (Sat, 29 Aug 2009 04:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. (Sat, 29 Aug 2009 04:54:03 GMT) Full text and rfc822 format available.

Message #141 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 405762@bugs.debian.org, 405762-submitter@bugs.debian.org, Steven Schlansker <scs@eecs.berkeley.edu>
Subject: Maildir in Alpine, coming soon
Date: Sat, 29 Aug 2009 00:45:13 -0400 (EDT)
Hey all,

You're all correct: Alpine has no Free Software Maildir support. There is 
Eduardo Chappa's patch, but he has been very clear that he does not want 
to attach a Free Software license to it.

No matter what we do in Alpine, you're going to be better off using 
Dovecot as an intermediary.

But I am going to work with someone who will write a Maildir patch for 
Alpine that is Free Software this weekend.

Pardon the delays,

-- Asheesh.

-- 
Are you sure the back door is locked?




Message sent on to Joey Hess <joeyh@debian.org>:
Bug#405762. (Sat, 29 Aug 2009 04:54:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#405762; Package alpine. (Sat, 29 Aug 2009 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Schlansker <scs@eecs.berkeley.edu>:
Extra info received and filed, but not forwarded. (Sat, 29 Aug 2009 19:57:03 GMT) Full text and rfc822 format available.

Message #149 received at 405762-quiet@bugs.debian.org (full text, mbox):

From: Steven Schlansker <scs@eecs.berkeley.edu>
To: Asheesh Laroia <asheesh@asheesh.org>, 405762-quiet@bugs.debian.org
Subject: Re: Bug#405762: Maildir in Alpine, coming soon
Date: Sat, 29 Aug 2009 12:47:36 -0700
If you would care to post the patch when it's working, I would be more  
than happy to help beta test it.

On Aug 28, 2009, at 9:45 PM, Asheesh Laroia wrote:

> Hey all,
>
> You're all correct: Alpine has no Free Software Maildir support.  
> There is Eduardo Chappa's patch, but he has been very clear that he  
> does not want to attach a Free Software license to it.
>
> No matter what we do in Alpine, you're going to be better off using  
> Dovecot as an intermediary.
>
> But I am going to work with someone who will write a Maildir patch  
> for Alpine that is Free Software this weekend.
>
> Pardon the delays,
>
> -- Asheesh.
>
> -- 
> Are you sure the back door is locked?
>
>
>
> -- 
> To unsubscribe, send mail to 405762-unsubscribe@bugs.debian.org.





Information stored :
Bug#405762; Package alpine. (Sat, 29 Aug 2009 22:09:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and filed, but not forwarded. (Sat, 29 Aug 2009 22:09:21 GMT) Full text and rfc822 format available.

Message #154 received at 405762-quiet@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Steven Schlansker <scs@eecs.berkeley.edu>
Cc: 405762-quiet@bugs.debian.org
Subject: Re: Bug#405762: Maildir in Alpine, coming soon
Date: Sat, 29 Aug 2009 18:01:26 -0400 (EDT)
On Sat, 29 Aug 2009, Steven Schlansker wrote:

> If you would care to post the patch when it's working, I would be more than 
> happy to help beta test it.

That'd rule!




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Fri, 09 Oct 2009 18:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher Barrington-Leigh <cpblpublic+usenet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Fri, 09 Oct 2009 18:48:06 GMT) Full text and rfc822 format available.

Message #159 received at 405762@bugs.debian.org (full text, mbox):

From: Christopher Barrington-Leigh <cpblpublic+usenet@gmail.com>
To: 405762@bugs.debian.org
Subject: Update?
Date: Fri, 9 Oct 2009 11:44:58 -0700
[Message part 1 (text/plain, inline)]
Is the following relevant and of interest?

http://staff.washington.edu/chappa/alpine/info/maildir.html

It looks to me like the status has changed on this, no?
Can anyone advise a user desperately waiting for
maildir-with-alpine-under-Ubuntu  what to do to move along the process?

Thanks!
Chris
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. (Sat, 10 Oct 2009 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. (Sat, 10 Oct 2009 10:45:03 GMT) Full text and rfc822 format available.

Message #164 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Christopher Barrington-Leigh <cpblpublic+usenet@gmail.com>, 405762@bugs.debian.org
Subject: Re: Bug#405762: Update?
Date: Sat, 10 Oct 2009 06:31:35 -0400 (EDT)
On Fri, 9 Oct 2009, Christopher Barrington-Leigh wrote:

> Is the following relevant and of interest?
>
> http://staff.washington.edu/chappa/alpine/info/maildir.html
>
> It looks to me like the status has changed on this, no?

That's the same Maildir patch that Eduardo refuses to license, unless you 
see license text somewhere there.

> Can anyone advise a user desperately waiting for
> maildir-with-alpine-under-Ubuntu  what to do to move along the process?

I'm talking still with a friend who can help reimplement this 
functionality. I'm quite sorry about the delays; I'll ping himm in a 
moment.




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Mon, 14 Dec 2009 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristi Magherusan <Cristi.Magherusan@net.utcluj.ro>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Mon, 14 Dec 2009 21:51:03 GMT) Full text and rfc822 format available.

Message #169 received at 405762@bugs.debian.org (full text, mbox):

From: Cristi Magherusan <Cristi.Magherusan@net.utcluj.ro>
To: chappa@washington.edu
Cc: 405762@bugs.debian.org
Subject: alpine Maildir patch license
Date: Mon, 14 Dec 2009 23:36:51 +0200
[Message part 1 (text/plain, inline)]
Hi,

I've read the long thread about this topic found at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=405762

It seems the only thing that stops the millions of Debian and Ubuntu
users from benefiting out of the box Maildir support(and dropping pine
for good and use alpine instead) is your hesitation in deciding for a
license for this patch.

Please, since you are the copyright owner, just decide for something so
that the millions of Debian and Ubuntu users can benefit from your work.
Why is it so difficult?

The BSD or MIT licenses can be a good start, they just formally say what
you vaguely said in that thread.
- you'd own the copyright and all the rights as an author
- the redistributions should contain the license text unaltered or
mention that you wrote the patch
- you disclaim any damage the software could do to ts users

Nothing more, nothing less. 

Even a beer-ware license would be better than nothing! Please just
decide for something for your users' sake!

Thanks and best regards,
Cristi Magherusan

A happy (Maildir-patched) alpine user


-- 
Cristi Măgherușan, System/Network Engineer
Technical University of Cluj-Napoca, Romania
http://cc.utcluj.ro  +40264 401247
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'pine-bugs@cac.washington.edu'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. (Sat, 13 Feb 2010 12:33:07 GMT) Full text and rfc822 format available.

Merged 405762 412590. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. (Sat, 13 Feb 2010 12:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Thu, 25 Mar 2010 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stas Sușcov <stas@nerd.ro>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Thu, 25 Mar 2010 12:42:03 GMT) Full text and rfc822 format available.

Message #178 received at 405762@bugs.debian.org (full text, mbox):

From: Stas Sușcov <stas@nerd.ro>
To: 405762@bugs.debian.org
Date: Thu, 25 Mar 2010 14:37:00 +0200
I got a patched version in my ppa.
https://edge.launchpad.net/~sushkov/+archive/ppa

Also searching existing ppa's can bring you patched version 2.
https://edge.launchpad.net/ubuntu/+ppas?name_filter=alpine

Thanks to the author, though having the code licensed could save me some
time.

-- 
()  Campania Panglicii în ASCII
/\  http://stas.nerd.ro/ascii/





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. (Fri, 26 Mar 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. (Fri, 26 Mar 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #183 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Stas Sușcov <stas@nerd.ro>, 405762@bugs.debian.org
Subject: Re: Bug#405762:
Date: Fri, 26 Mar 2010 15:51:49 -0400 (EDT)
[Message part 1 (text/plain, inline)]
On Thu, 25 Mar 2010, Stas Sușcov wrote:

> I got a patched version in my ppa.
> https://edge.launchpad.net/~sushkov/+archive/ppa
>
> Also searching existing ppa's can bring you patched version 2.
> https://edge.launchpad.net/ubuntu/+ppas?name_filter=alpine
>
> Thanks to the author, though having the code licensed could save me some
> time.

Eduardo Chappa will eventually complain about this to you.

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Fri, 26 Mar 2010 20:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stas Sușcov <stas@nerd.ro>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Fri, 26 Mar 2010 20:24:03 GMT) Full text and rfc822 format available.

Message #188 received at 405762@bugs.debian.org (full text, mbox):

From: Stas Sușcov <stas@nerd.ro>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 405762@bugs.debian.org
Subject: Re: Bug#405762:
Date: Fri, 26 Mar 2010 22:21:35 +0200
În data de Vi, 26-03-2010 la 15:51 -0400, Asheesh Laroia a scris:
> On Thu, 25 Mar 2010, Stas Sușcov wrote:
> 
> > I got a patched version in my ppa.
> > https://edge.launchpad.net/~sushkov/+archive/ppa
> >
> > Also searching existing ppa's can bring you patched version 2.
> > https://edge.launchpad.net/ubuntu/+ppas?name_filter=alpine
> >
> > Thanks to the author, though having the code licensed could save me some
> > time.
> 
> Eduardo Chappa will eventually complain about this to you.

He already did.
My bad, should have read the comments to the end.
And I believe I betrayed the rest of the mates from lp.

-- 
()  Campania Panglicii în ASCII
/\  http://stas.nerd.ro/ascii/





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. (Thu, 01 Apr 2010 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. (Thu, 01 Apr 2010 17:12:06 GMT) Full text and rfc822 format available.

Message #193 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 405762@bugs.debian.org, 405762-submitter@bugs.debian.org
Subject: Maildir patch to try
Date: Thu, 1 Apr 2010 12:58:57 -0400 (EDT)
Hi all,

First of all, it's April 1, but this is not an April fools joke.

There appears to be an old PINE Maildir patch at 
http://www.gluelogic.com/code/pine-maildir/ that is truly BSD licensed.

I just learned about it thanks to Eduardo Chappa who pointed me there.

It has some flaws, I hear. I'm currently pretty swamped, so I wanted to 
ask if anyone here on the bug would like to try forward-porting that patch 
to Alpine instead of PINE 4.61 (which should actually be very easy), 
compiling it, and reporting how it works for them.

Even if you have trouble compiling it in, let me know.

Basically -- would someone help me out by trying this? (-:

-- Asheesh.




Message sent on to Joey Hess <joeyh@debian.org>:
Bug#405762. (Thu, 01 Apr 2010 17:13:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Tue, 11 May 2010 14:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stas Sușcov <stas@net.utcluj.ro>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Tue, 11 May 2010 14:15:10 GMT) Full text and rfc822 format available.

Message #201 received at 405762@bugs.debian.org (full text, mbox):

From: Stas Sușcov <stas@net.utcluj.ro>
To: 405762@bugs.debian.org
Date: Tue, 11 May 2010 17:04:17 +0300
Great news Asheesh Laroia,
I tried patching the alpine 1.0 package using it but I got the folowing
rejections:
---
stas@buildenv:~/alpine/alpine-1.0+dfsg$ find ./ -iname *.rej
./imap/src/osdep/unix/dummy.c.rej
./imap/src/osdep/unix/maildir.c.rej
./imap/src/osdep/unix/maildir.h.rej
./imap/src/osdep/unix/Makefile.rej
./imap/src/c-client/mail.h.rej
./alpine/mailindx.c.rej
./alpine/alpine.h.rej
./alpine/mailcmd.c.rej
---
The above exclude s/pine/alpine patch failures.
So I believe it needs a fresh revision before it can be used.
If there's anybody who wants to do this, I would appreciate his help.

Thanks for heads up.

-- 
()  Campania Panglicii în ASCII
/\  http://www.asciiribbon.org/





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405762; Package alpine. (Wed, 12 May 2010 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. (Wed, 12 May 2010 17:21:03 GMT) Full text and rfc822 format available.

Message #206 received at 405762@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Stas Sușcov <stas@net.utcluj.ro>, 405762@bugs.debian.org
Cc: debian-bugs-dist@lists.debian.org
Subject: Re: Bug#405762:
Date: Wed, 12 May 2010 13:12:26 -0400 (EDT)
[Message part 1 (text/plain, inline)]
On Tue, 11 May 2010, Stas Sușcov wrote:

> Great news Asheesh Laroia,
> I tried patching the alpine 1.0 package using it but I got the folowing
> rejections:
> ---
> stas@buildenv:~/alpine/alpine-1.0+dfsg$ find ./ -iname *.rej
> ./imap/src/osdep/unix/dummy.c.rej
> ./imap/src/osdep/unix/maildir.c.rej
> ./imap/src/osdep/unix/maildir.h.rej
> ./imap/src/osdep/unix/Makefile.rej
> ./imap/src/c-client/mail.h.rej
> ./alpine/mailindx.c.rej
> ./alpine/alpine.h.rej
> ./alpine/mailcmd.c.rej
> ---
> The above exclude s/pine/alpine patch failures.
> So I believe it needs a fresh revision before it can be used.
> If there's anybody who wants to do this, I would appreciate his help.

Yeah, I think you'll find some of the hunks don't apply. I think any C 
coder can probably figure out how to apply it.

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Thu, 13 May 2010 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stas Sușcov <stas@nerd.ro>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Thu, 13 May 2010 20:42:04 GMT) Full text and rfc822 format available.

Message #211 received at 405762@bugs.debian.org (full text, mbox):

From: Stas Sușcov <stas@nerd.ro>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 405762@bugs.debian.org, debian-bugs-dist@lists.debian.org, 496575@bugs.launchpad.net
Subject: [Bug 496575] Re: Maildir support in alpine
Date: Thu, 13 May 2010 23:38:32 +0300
[Message part 1 (text/plain, inline)]
În data de Mi, 12-05-2010 la 13:12 -0400, Asheesh Laroia a scris:
> On Tue, 11 May 2010, Stas Sușcov wrote:
> 
> > Great news Asheesh Laroia,
> > I tried patching the alpine 1.0 package using it but I got the folowing
> > rejections:
> > ---
> > stas@buildenv:~/alpine/alpine-1.0+dfsg$ find ./ -iname *.rej
> > ./imap/src/osdep/unix/dummy.c.rej
> > ./imap/src/osdep/unix/maildir.c.rej
> > ./imap/src/osdep/unix/maildir.h.rej
> > ./imap/src/osdep/unix/Makefile.rej
> > ./imap/src/c-client/mail.h.rej
> > ./alpine/mailindx.c.rej
> > ./alpine/alpine.h.rej
> > ./alpine/mailcmd.c.rej
> > ---
> > The above exclude s/pine/alpine patch failures.
> > So I believe it needs a fresh revision before it can be used.
> > If there's anybody who wants to do this, I would appreciate his help.
> 
> Yeah, I think you'll find some of the hunks don't apply. I think any C 
> coder can probably figure out how to apply it.

I manually treated rejections and succeeded to build the package.
My PPA: https://edge.launchpad.net/~sushkov/+archive/ppa

Patch is under "essentially the _modified_ BSD license or X11 license",
so it makes sense to be improved and get included into further builds.
It looks bad, but it works, screenshot attached :)

-- 
()  Campania Panglicii în ASCII
/\  http://www.asciiribbon.org/
[alpine10maildir.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Sun, 17 Oct 2010 15:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Sun, 17 Oct 2010 15:15:03 GMT) Full text and rfc822 format available.

Message #216 received at 405762@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 405762@bugs.debian.org
Subject: pine has been removed
Date: Sun, 17 Oct 2010 16:12:48 +0100
Hi,

I thought I should mention in the context of this bug that pine
has been removed from unstable and testing which means that the next
release will be without maildir support from a pine-like program.

I would guess that it's too late to do anything about it at this stage
in the freeze, but thought it was worth a heads-up to people reading.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Sun, 17 Oct 2010 18:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Fantini <robertfantini@gmail.com>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Sun, 17 Oct 2010 18:24:06 GMT) Full text and rfc822 format available.

Message #221 received at 405762@bugs.debian.org (full text, mbox):

From: Robert Fantini <robertfantini@gmail.com>
To: Dominic Hargreaves <dom@earth.li>, 405762@bugs.debian.org
Subject: Re: Bug#405762: pine has been removed
Date: Sun, 17 Oct 2010 14:20:07 -0400
Does this apply to  alpine ?

On Sun, Oct 17, 2010 at 11:12 AM, Dominic Hargreaves <dom@earth.li> wrote:
> Hi,
>
> I thought I should mention in the context of this bug that pine
> has been removed from unstable and testing which means that the next
> release will be without maildir support from a pine-like program.
>
> I would guess that it's too late to do anything about it at this stage
> in the freeze, but thought it was worth a heads-up to people reading.
>
> Cheers,
> Dominic.
>
> --
> Dominic Hargreaves | http://www.larted.org.uk/~dom/
> PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
>
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Sun, 17 Oct 2010 22:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Sun, 17 Oct 2010 22:30:06 GMT) Full text and rfc822 format available.

Message #226 received at 405762@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Robert Fantini <robertfantini@gmail.com>
Cc: 405762@bugs.debian.org
Subject: Re: Bug#405762: pine has been removed
Date: Sun, 17 Oct 2010 23:28:00 +0100
On Sun, Oct 17, 2010 at 02:20:07PM -0400, Robert Fantini wrote:
> Does this apply to  alpine ?

In a sense, yes. pine had maildir support whilst alpine does not.
Earlier in this bug report people discussed that lack of maildir
support in alpine was one final blocker for removing pine from
Debian. In fact, pine was removed anyway so it obviously wasn't a
blocker :)

AFAIK there are no plans to remove alpine from Debian, in case that's
what you were thinking.

Dominic.

> On Sun, Oct 17, 2010 at 11:12 AM, Dominic Hargreaves <dom@earth.li> wrote:
> > Hi,
> >
> > I thought I should mention in the context of this bug that pine
> > has been removed from unstable and testing which means that the next
> > release will be without maildir support from a pine-like program.
> >
> > I would guess that it's too late to do anything about it at this stage
> > in the freeze, but thought it was worth a heads-up to people reading.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>:
Bug#405762; Package alpine. (Mon, 18 Oct 2010 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Asheesh Laroia <asheesh@asheesh.org>. (Mon, 18 Oct 2010 10:45:03 GMT) Full text and rfc822 format available.

Message #231 received at 405762@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Robert Fantini <robertfantini@gmail.com>
Cc: 405762@bugs.debian.org
Subject: Re: Bug#405762: pine has been removed
Date: Mon, 18 Oct 2010 11:40:45 +0100
[Adding bugs.debian.org CC back]

On Sun, Oct 17, 2010 at 06:33:38PM -0400, Robert Fantini wrote:
> ok I guess I misunderstand 'maildir' support.
> 
> as using alpine, I can access imap folders made by Dovecot or Courier
> at my $HOME/.maildir/ folder.

Okay, in that case, perhaps this bug has actually been resolved, but
I can't see any recent changelog entries adding support for this. Are
you definitely accessing these folders locally rather than via IMAP?

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:36:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.